/// <reference types="react" />
import { Group as KonvaGroup } from 'konva/types/Group';
import { Layer as KonvaLayer, LayerConfig } from 'konva/types/Layer';
import { NodeConfig } from 'konva/types/Node';
export { default as Portal } from './portal';
export { default as Stage } from './portal-stage';
export declare const Group: import("react").ForwardRefExoticComponent<Pick<NodeConfig, import("react").ReactText> & import("react").RefAttributes<KonvaGroup>>;
export declare const Layer: import("react").ForwardRefExoticComponent<Pick<LayerConfig, import("react").ReactText> & import("react").RefAttributes<KonvaLayer>>;
export { PORTAL_LAYER_ID, Z_INDEX } from './utils';
