import { Node, NodeConfig } from 'konva/types/Node';
import { ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
import { KonvaNodeComponent } from 'react-konva';
export declare function createPortalContainer<KonvaNode extends Node, KonvaProps extends NodeConfig, KonvaComponent extends KonvaNodeComponent<KonvaNode, KonvaProps>>(Component: KonvaComponent): ForwardRefExoticComponent<PropsWithoutRef<KonvaProps> & RefAttributes<KonvaNode>>;
export default createPortalContainer;
